<script>
export default {
  name: "JobOfferCard",
  props : {
    jobOffer : null,
    options : {}
  }
}
</script>

<template>
  <b-card>
    <b-card-title>
      {{ jobOffer.name }}
    </b-card-title>
    <b-card-text>
      {{ jobOffer.missions }}
    </b-card-text>
    <b-card-text class="small text-muted">
      {{ jobOffer.formatUpdatedAt() }}
      <div class="float-right">
        <router-link v-if="options.showDetail" :to="{ name: 'recruitment_show_detail', params : { id : jobOffer.id  } }" class="waves-effect"><b-button variant="primary">Voir le détail</b-button></router-link>
        <router-link v-if="options.showBtn" :to="{ name: 'recruitment_show', params : { id : jobOffer.id  } }" class="waves-effect"><b-button variant="primary">Voir les candidats</b-button></router-link>
        <router-link v-if="options.editBtn" :to="{ name: 'recruitment_edit', params : { id : jobOffer.id  } }" class="waves-effect"><b-button variant="primary">Modifier</b-button></router-link>
      </div>
    </b-card-text>
  </b-card>
</template>
